GroovyAwareAspectJAwareAdvisorAutoProxyCreator (Grails 5.1.2)

Package: org.grails.spring.aop.autoproxy

## [Java] Class GroovyAwareAspectJAwareAdvisorAutoProxyCreator

- org.grails.spring.aop.autoproxy.GroovyAwareAspectJAwareAdvisorAutoProxyCreator

-     public class GroovyAwareAspectJAwareAdvisorAutoProxyCreator
      extends org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator

  Enables AspectJ weaving from the application context.

  Authors:
    Graeme Rocher
  Since:
    1.3.4

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator` | `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected boolean` | `shouldProxyTargetClass(java.lang.Class<?> beanClass, java.lang.String beanName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator` | `org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setIncludePatterns(java.util.List), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setAspectJAdvisorFactory(org.springframework.aop.aspectj.annotation.AspectJAdvisorFactory), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#postProcessAfterInitialization(java.lang.Object, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setFrozen(boolean), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setAdvisorAdapterRegistry(org.springframework.aop.framework.adapter.AdvisorAdapterRegistry), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setCustomTargetSourceCreators([Lorg.springframework.aop.framework.autoproxy.TargetSourceCreator;), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setInterceptorNames([Ljava.lang.String;), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setApplyCommonInterceptorsFirst(boolean), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#predictBeanType(java.lang.Class, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#getEarlyBeanReference(java.lang.Object, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#postProcessBeforeInstantiation(java.lang.Class, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#determineCandidateConstructors(java.lang.Class, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#postProcessProperties(org.springframework.beans.PropertyValues, java.lang.Object, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#isFrozen(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setBeanClassLoader(java.lang.ClassLoader), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setOrder(int), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setProxyClassLoader(java.lang.ClassLoader), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#getOrder(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setOpaque(boolean), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#isProxyTargetClass(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setProxyTargetClass(boolean), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#isExposeProxy(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setExposeProxy(boolean), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#isOptimize(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setOptimize(boolean), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#toString(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#isOpaque(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#copyFrom(org.springframework.aop.framework.ProxyConfig), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#wait(long, int), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#wait(long), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#wait(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#equals(java.lang.Object), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#hashCode(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#getClass(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#notify(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#notifyAll(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#postProcessAfterInstantiation(java.lang.Object, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#postProcessPropertyValues(org.springframework.beans.PropertyValues, [Ljava.beans.PropertyDescriptor;, java.lang.Object, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#postProcessBeforeInitialization(java.lang.Object, java.lang.String)`

- - ### Method Detail

    - #### @java.lang.Override protected boolean shouldProxyTargetClass(java.lang.Class<?> beanClass, java.lang.String beanName)